| Home | Libraries | People | FAQ | More

#### statement

Represents a server-side prepared statement.

##### Synopsis

Defined in header `<boost/mysql/statement.hpp>`

    class statement

##### Member Functions

Name | Description
--- | ---
bind | Binds parameters to a statement. — Binds parameters to a statement (iterator range overload).
id | Returns a server-side identifier for the statement (unique in a per-connection basis).
num_params | Returns the number of parameters that should be provided when executing the statement.
statement [constructor] | Default constructor.
valid | Returns `true` if the object represents an actual server statement.

##### Description

This is a lightweight class, holding a handle to a server-side prepared statement.

Note that statement's destructor doesn't deallocate the statement from the server, as this implies a network transfer that may fail.

##### Thread safety

Distinct objects: safe.

Shared objects: unsafe.